Download it now!
Bug 76248 - FILESAVE: File gets corrupted after save having Polyline
Summary: FILESAVE: File gets corrupted after save having Polyline
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 06:30 UTC by Rohit Deshmukh
Modified: 2014-03-21 15:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file (21.81 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-17 06:30 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-03-17 06:30:37 UTC
Created attachment 95906 [details]
Original file

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word


Current behavior:
File gets corrupt

Expected behavior:
File should open without any error
Comment 1 Jorendc 2014-03-17 08:58:15 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Opened using Word for Mac 2011.

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-19 13:17:35 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79747314d368ab253e171877209d7172fd993c74

fdo#76248: Fix for file corruption which contains Polyline shape.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-03-19 13:17:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e92847d75e8703d0537d5411d1f98bd1cd0402a

fdo#76248 make the test fail without the fix



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-03-21 15:56:27 UTC
I can confirm there is no corruption anymore.
Lets mark this one as RESOLVED FIXED.

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 514a6de4822523164ef66916198e36944a826db3
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-21_00:39:06